Package org.bukkit.block.data.type

# Interface Scaffolding

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface Scaffolding extends Waterlogged
'bottom' indicates whether the scaffolding is floating or not.
'distance' indicates the distance from a scaffolding block placed above a 'bottom' scaffold.
When 'distance' reaches `getMaximumDistance()` the block will drop.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDistance()`
Gets the value of the 'distance' property.
`int`
`getMaximumDistance()`
Gets the maximum allowed value of the 'distance' property.
`boolean`
`isBottom()`
Gets the value of the 'bottom' property.
`void`
`setBottom(boolean bottom)`
Sets the value of the 'bottom' property.
`void`
`setDistance(int distance)`
Sets the value of the 'distance' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### isBottom

boolean isBottom()
Gets the value of the 'bottom' property.

Returns:
  the 'bottom' value

### setBottom

void setBottom(boolean bottom)
Sets the value of the 'bottom' property.

Parameters:
  `bottom` - the new 'bottom' value

### getDistance

int getDistance()
Gets the value of the 'distance' property.

Returns:
  the 'distance' value

### setDistance

void setDistance(int distance)
Sets the value of the 'distance' property.

Parameters:
  `distance` - the new 'distance' value

### getMaximumDistance

int getMaximumDistance()
Gets the maximum allowed value of the 'distance' property.

Returns:
  the maximum 'distance' value